/*==========================================================================
 *
 *  Copyright (C) 1998-1999 Microsoft Corporation. All Rights Reserved.
 *
 *  File:       ddutil.cpp
 *  Content:    Routines for loading bitmap and palettes from resources
 *
 ***************************************************************************/

#ifdef __cplusplus
extern "C" {            /* Assume C declarations for C++ */
#endif  /* __cplusplus */

extern LPDIRECTDRAWPALETTE DDLoadPalette(LPDIRECTDRAW,LPCSTR);
extern LPDIRECTDRAWSURFACE DDLoadBitmap(LPDIRECTDRAW,LPCSTR,int,int);
extern HRESULT DDReLoadBitmap(LPDIRECTDRAWSURFACE, LPCSTR);
extern HRESULT DDCopyBitmap(LPDIRECTDRAWSURFACE,HBITMAP,int,int,int,int);
extern DWORD DDColorMatch(LPDIRECTDRAWSURFACE,COLORREF);
extern HRESULT DDSetColorKey(LPDIRECTDRAWSURFACE,COLORREF);

#ifdef __cplusplus
}
#endif  /* __cplusplus */
