#define STRICT
#include <windows.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>
#include <ddraw.h>
#include <dsound.h>
#include "ddutil.h"
#include "dsutil.h"

/* ʃTCY */
#define X_MAX 320
#define Y_MAX 240

/* rbg}bvC[W */
#define BMPNAME "iblock.bmp"
#define X_IMAGE 320
#define Y_IMAGE 240

/* t[EC^[o */
/* Et[ = 1000  FINTR */
/* EԊuZꍇAӖƂȂ */
#define FINTR 25

/* N҂̍ő吔 */
#define IMAX 64

/* IuWFNgJ}N */
#define RELEASE(x)  if(x){x->Release();x=NULL;}

HINSTANCE hInsApp;
HWND hwndApp;
const char szAppName[] = "Invader Block";

LPDIRECTDRAW        _lpDD           = NULL ;
LPDIRECTDRAWSURFACE _lpDDSPrimary   = NULL ;
LPDIRECTDRAWSURFACE _lpDDSBack      = NULL ;
LPDIRECTDRAWSURFACE _lpDDSImage     = NULL ;
LPDIRECTDRAWPALETTE _lpDDPal        = NULL ;

LPDIRECTSOUND       _lpDS           = NULL ;
HSNDOBJ             _seWall         = NULL ;
HSNDOBJ             _seBlock        = NULL ;
HSNDOBJ             _seMove         = NULL ;

/* ֐vg^Cv */
LRESULT CALLBACK MainWndProc(HWND,UINT,UINT,LONG);
int InitWindow( HINSTANCE hInst , int nCmdShow );
int InitDDraw();
int TermDDraw();
int InitDSound();
int TermDSound();
int Idle();
void RestDDraw();
void mainloop();
void putfont(int x,int y,const char* msg,...);
void spput8(int n,int x,int y);

/*--------------------------------------------------------------------------*/
/* C                                                                   */
/*--------------------------------------------------------------------------*/
int WINAPI WinMain(HINSTANCE hIns,HINSTANCE hPIns,LPSTR lpCmd,int nCmdShow)
{
    MSG msg;

    /* CEBhE */
    if(!InitWindow(hIns,nCmdShow)) {
        return FALSE ;
    }

    /* direct draw */
    if(!InitDDraw()) {
        return FALSE ;
    }

    /* direct sound */
    if(!InitDSound()) {
        TermDDraw();
        return FALSE;
    }

    /* C[v */
    while( TRUE ){
        if( PeekMessage( &msg , 0 , 0 , 0 , PM_REMOVE ) ){
            if( msg.message == WM_QUIT ) {
                break;
            }
            TranslateMessage( &msg );
            DispatchMessage( &msg );
        } else {
            Idle() ;
        }
    }

    /* I */
    TermDSound() ;
    TermDDraw() ;
    return msg.wParam ;
}

/*--------------------------------------------------------------------------*/
/* CEBhE쐬                                                   */
/*--------------------------------------------------------------------------*/
int InitWindow( HINSTANCE hIns , int nCmdShow )
{
    WNDCLASS wndclass;
    hInsApp = hIns;

    /* EBhENX̓o^ */
    wndclass.hCursor        = NULL; /*LoadCursor( NULL , IDC_ARROW )*/;
    wndclass.hIcon          = NULL;
    wndclass.lpszMenuName   = NULL;
    wndclass.lpszClassName  = "Main Window";
    wndclass.hbrBackground  = (HBRUSH)GetStockObject( BLACK_BRUSH );
    wndclass.hInstance      = hIns;
    wndclass.style          = CS_BYTEALIGNCLIENT | CS_VREDRAW | CS_HREDRAW ;
    wndclass.lpfnWndProc    = (WNDPROC)MainWndProc;
    wndclass.cbClsExtra     = 0;
    wndclass.cbWndExtra     = 0;

    if(!RegisterClass(&wndclass)) {
        return FALSE;
    }

    /* CEBhE쐬 */
    hwndApp = CreateWindowEx( 0 , "Main Window" , szAppName
                            , WS_POPUP
                            , 0 , 0 , X_MAX , Y_MAX
                            , (HWND)NULL , (HMENU)NULL
                            , hIns , (LPSTR)NULL );
    if(NULL==hwndApp) {
        return FALSE;
    }

    ShowWindow( hwndApp , nCmdShow );
    ShowCursor( FALSE );
    UpdateWindow( hwndApp );

    return TRUE ;
}

/*--------------------------------------------------------------------------*/
/* DirectDraw                                                         */
/*--------------------------------------------------------------------------*/
int InitDDraw( void )
{
    HRESULT ret ;

    ret = DirectDrawCreate( NULL , &_lpDD , NULL );
    if( ret != DD_OK )
        return FALSE ;

    /* EBhE[hݒ */
    ret=_lpDD->SetCooperativeLevel(hwndApp
                ,DDSCL_EXCLUSIVE    /* r[h */
                |DDSCL_FULLSCREEN   /* tXN[ */
                );

    /* tʎ̉ʃTCYƃpbg[hݒ */
    ret = _lpDD->SetDisplayMode( X_MAX , Y_MAX , 8 );
    if( ret != DD_OK ){
        RELEASE( _lpDD );
        return FALSE ;
    }

    /* ʃT[tF[X쐬 */
    {
        DDSURFACEDESC ddsd ;

        ZeroMemory( &ddsd , sizeof(ddsd) );
        ddsd.dwSize         = sizeof(ddsd) ;
        ddsd.dwFlags        = DDSD_CAPS | DDSD_BACKBUFFERCOUNT ;
        ddsd.ddsCaps.dwCaps = DDSCAPS_PRIMARYSURFACE |
                              DDSCAPS_FLIP |
                              DDSCAPS_COMPLEX ;
        ddsd.dwBackBufferCount = 1 ;

        /* vC}𐶐 */
        ret = _lpDD->CreateSurface( &ddsd , &_lpDDSPrimary , NULL );
        if( ret != DD_OK ){
            RELEASE( _lpDD );
            return FALSE ;
        }

        /* obNobt@m */
        DDSCAPS ddscaps ;
        ddscaps.dwCaps = DDSCAPS_BACKBUFFER ;
        ret = _lpDDSPrimary->GetAttachedSurface( &ddscaps , &_lpDDSBack );
        if( ret != DD_OK ){
            RELEASE( _lpDDSPrimary );
            RELEASE( _lpDD );
            return FALSE ;
        }
    }

    /* C[WT[tF[X쐬 */
    _lpDDSImage = DDLoadBitmap(_lpDD,BMPNAME,0,0);
    if(NULL == _lpDDSImage) {
        RELEASE( _lpDDSPrimary );
        RELEASE( _lpDD );
        return FALSE ;
    }

    /* C[Wt@Cpbgǂݍ */
    _lpDDPal = DDLoadPalette(_lpDD,BMPNAME);
    if(NULL == _lpDDPal) {
        RELEASE( _lpDDSImage );
        RELEASE( _lpDDSPrimary );
        RELEASE( _lpDD );
        return FALSE ;
    }

    /* vC}T[tF[XɃpbgݒ肷 */
    _lpDDSPrimary->SetPalette( _lpDDPal );

    /* J[L[iߐFjݒ */
    DDCOLORKEY ddck ;
    memset(&ddck,0,sizeof(ddck));
    ddck.dwColorSpaceLowValue=0;
    ddck.dwColorSpaceHighValue=0;
    _lpDDSImage->SetColorKey(DDCKEY_SRCBLT,NULL);
    _lpDDSImage->SetColorKey(DDCKEY_SRCBLT,&ddck);

    return TRUE ;
}

/*--------------------------------------------------------------------------*/
/* AvP[VȈ                                             */
/*--------------------------------------------------------------------------*/
int TermDDraw( void )
{
    RELEASE( _lpDDPal );
    RELEASE( _lpDDSImage );
    RELEASE( _lpDDSPrimary );
    RELEASE( _lpDD );
    return TRUE ;
}

/*--------------------------------------------------------------------------*/
/* Direct Sound                                                     */
/*--------------------------------------------------------------------------*/
int InitDSound()
{
    if(DS_OK!=DirectSoundCreate(NULL,&_lpDS,NULL)) {
        return FALSE;
    }
    if(DS_OK!=_lpDS->SetCooperativeLevel(hwndApp, DSSCL_PRIORITY)) {
        TermDSound();
        return FALSE;
    }
    _seBlock = SndObjCreate(_lpDS,"se01.wav",1);
    _seWall = SndObjCreate(_lpDS,"se02.wav",2);
    _seMove = SndObjCreate(_lpDS,"se03.wav",1);
    return TRUE;
}

/*--------------------------------------------------------------------------*/
/* Direct SoundJ                                                       */
/*--------------------------------------------------------------------------*/
int TermDSound()
{
    if(_seMove) {
        SndObjDestroy(_seMove);
    }
    if(_seWall) {
        SndObjDestroy(_seWall);
    }
    if(_seBlock) {
        SndObjDestroy(_seBlock);
    }
    RELEASE(_lpDS);
    return TRUE;
}

/*--------------------------------------------------------------------------*/
/* EBhE                                                           */
/*--------------------------------------------------------------------------*/
LRESULT CALLBACK MainWndProc(
     HWND hWnd
    ,UINT msg
    ,UINT wParam
    ,LONG lParam
){
    switch( msg ){
        case WM_KEYDOWN :
            switch( wParam ){
                case VK_ESCAPE :        /* ESC ꍇ */
                    DestroyWindow( hWnd );
                    break ;

                default :
                    break ;
            }
            break ;

        case WM_DESTROY :
            PostQuitMessage( 0 );
            break ;

        default :
            return DefWindowProc( hWnd , msg , wParam , lParam );
    }
    return 0L ;
}

/*--------------------------------------------------------------------------*/
/* ACh̏                                                         */
/*--------------------------------------------------------------------------*/
int Idle( void )
{
    /* t[EC^[o(Pʃ~b)Ŏs悤ɒ */
    static DWORD basetime=0;
    if(timeGetTime()-basetime<FINTR) {
        return TRUE;
    } else {
        basetime=timeGetTime();
    }

    /* obNT[tFXNA */
    {
        DDBLTFX fx ;
        ZeroMemory( &fx , sizeof(fx) );
        fx.dwSize       = sizeof(fx) ;
        fx.dwFillColor  = 0 ;
        if(DDERR_SURFACELOST==_lpDDSBack->Blt( NULL , NULL , NULL , DDBLT_COLORFILL | DDBLT_WAIT , &fx )) {
            RestDDraw();
        }
    }

    /* C */
    mainloop();

    /* ʂtbv */
    {
        HRESULT ddrval ;

        while( 1 ){
            ddrval = _lpDDSPrimary->Flip( NULL , 0 );
            if( ddrval == DD_OK ) {
                break ;
            } else if(ddrval == DDERR_SURFACELOST) {
                RestDDraw();
            }
            break;
        }
    }

    return TRUE ;
}

/*--------------------------------------------------------------------------*/
/* T[tF[XXgA                                               */
/*--------------------------------------------------------------------------*/
void RestDDraw()
{
    if(_lpDDSPrimary->IsLost()) {
        _lpDDSPrimary->Restore();
    }
    if(_lpDDSBack->IsLost()) {
        _lpDDSBack->Restore();
    }
    if(_lpDDSImage->IsLost()) {
        _lpDDSImage->Restore();
        DDReLoadBitmap(_lpDDSImage,BMPNAME);
    }
}

/*--------------------------------------------------------------------------*/
/* C[v                                                             */
/*--------------------------------------------------------------------------*/
void mainloop()
{
    static int gflag=0;             /* Q[tO */
    static int hiscore=0;           /* nCXRA */
    static int hsload=0;            /* nCXRAǂݍ݃tO */
    static int score=0;             /* XRA */
    static int round=0;             /* Eh */
    static int bonus=0;             /* EhNA{[iX */
    static int x;                   /* o[XW */
    static int y;                   /* o[YW */
    static float bx;                /* {[XW */
    static float by;                /* {[YW */
    static float vx;                /* {[̐is() */
    static float vy;                /* {[̐is() */
    static unsigned int loopcnt;    /* [vJE^ */
    static unsigned char demo[1024];/* ff[^ */
    static int titlecnt;            /* ^Cg\JE^ */
    static int demoplay;            /* fĐtO */
    static int ileft;               /* N҂̎c */
    static int it[IMAX];            /* N҂̎ */
    static int ist[IMAX];           /* N҂̏ */
    static int ix[IMAX];            /* N҂XW */
    static int iy[IMAX];            /* N҂YW */
    static int ianime;              /* N҂̃Aj[V */
    static int imove;               /* N҂̈ړtO */
    static int iv;                  /* N҂̈ړ */
    static int inv;                 /* Nς݃tO */
    static int ishot;               /* N҂̍UtO */
    static int isst;                /* N҂̍U݃tO */
    static int isx;                 /* N҂̍UXW */
    static int isy;                 /* N҂̍UYW */
    static int dead;                /* o[̎btO */
    int i;
    int key_space=0;                /* L[tO(SPACE) */
    int key_right=0;                /* L[tO(RIGHT) */
    int key_left=0;                 /* L[tO(LEFT) */
    int key_shift=0;                /* L[tO(SHIFT) */
    float prev_bx;
    float prev_by;
    FILE* fp;

    loopcnt++;

    /* L[L^ */
    if(GetAsyncKeyState(VK_SPACE) & 0x8000) {
        key_space=1;
    }
    if(GetAsyncKeyState(VK_RIGHT) & 0x8000) {
        key_right=1;
    }
    if(GetAsyncKeyState(VK_LEFT) & 0x8000) {
        key_left=1;
    }
    if(GetAsyncKeyState(VK_SHIFT) & 0x8000) {
        key_shift=1;
    }

    /* g` */
    spput8(80,0,0);
    spput8(82,31*8,0);
    for(i=1;i<31;i++) {
        spput8(81,i*8,0);
    }
    for(i=1;i<30;i++) {
        spput8(120,0,i*8);
        spput8(122,31*8,i*8);
    }

    /* f[^t@Cǂݍ */
    if(0==hsload) {
        hsload=1;
        /* nCXRAf[^ǂݍ */
        if(NULL!=(fp=fopen("hiscore.dat","rb"))) {
            if(1!=fread(&hiscore,sizeof(hiscore),1,fp)) {
                hiscore=0;
            } else if(ferror(fp)) {
                hiscore=0;
            }
            fclose(fp);
        }
        /* ff[^ǂݍ */
        if(NULL!=(fp=fopen("demo.dat","rb"))) {
            fread(demo,sizeof(demo),1,fp);
            fclose(fp);
        }
    }

    /* XRAȂǂ\ */
    putfont(32*8,1*8,"HISCORE");
    putfont(32*8,3*8,"%6d0",hiscore);
    putfont(32*8,5*8,"SCORE");
    putfont(32*8,7*8,"%6d0",score);
    putfont(32*8,9*8,"ROUND");
    putfont(32*8,11*8,"     %02d",round);
    putfont(32*8,13*8,"BONUS");
    putfont(32*8,15*8,"%6d0",bonus);
    putfont(32*8,17*8,"SPEED");
    putfont(32*8,19*8,"     %02d",vy<0?(int)((-vy)*10):(int)(vy*10));

    /* ^Cg */

    if(0==gflag || demoplay) {
        if(loopcnt%40<20) {
            putfont(20,16*8,"        INSERT COIN        ");
        }
    }

    if(0==gflag) {
        titlecnt++;
        putfont(28,14*8,"      Invader Block      ");
        /* Xy[XL[̉mF */
        if(key_space) {
            titlecnt=0;
            gflag=1;
            demoplay=0;
        }
        if(titlecnt>200) {
            titlecnt=0;
            gflag=1;
            demoplay=1;
        }
        return;
    }

    if(demoplay) {
        if(key_space) {
            titlecnt=0;
            gflag=1;
            demoplay=0;
        }
    }

    /* ϐ */
    if(1==gflag) {
        round=1;
        if(!demoplay) {
            score=0;
            if(key_shift) {
                round=99;
            }
        }
        bonus=100;
        x=80;
        y=220;
        bx=31*8/2;
        by=180;
        vx=-3;
        vy=3;
        gflag=2;
        loopcnt=0;
        ileft=IMAX;
        for(i=0;i<24;i++) {
            it[i]=0;
            ist[i]=1;
            ix[i]=16+(i%12)*16+4;
            iy[i]=16+(i/12)*12+(round<10?round*4:40);
        }
        for(i=0;i<24;i++) {
            it[24+i]=1;
            ist[24+i]=1;
            ix[24+i]=16+(i%12)*16;
            iy[24+i]=40+(i/12)*12+(round<10?round*4:40);
        }
        for(i=0;i<16;i++) {
            it[48+i]=2;
            ist[48+i]=1;
            ix[48+i]=16+(i%8)*24;
            iy[48+i]=64+(i/8)*12+(round<10?round*4:40);
        }
        iv=4;
        inv=0;
        ishot=100;
        isst=0;
        dead=0;
        return;
    }

#if 0 /* fۑp */
demo[loopcnt]=0;
if(key_right) demo[loopcnt]|=0x01;
if(key_left) demo[loopcnt]|=0x02;
if(key_shift) demo[loopcnt]|=0x04;
#endif

    /* Q[I[o[ */
    if(gflag>=3 && gflag<1000) {
        /* nCXRAt@CɋL */
        if(hiscore==score && gflag==3) {
            if(NULL!=(fp=fopen("hiscore.dat","wb"))) {
                fwrite(&hiscore,sizeof(hiscore),1,fp);
                fclose(fp);
            }
        }
        /* Q[I[o\ */
        if(!demoplay) {
            putfont(92,128,"GAME OVER");
        }
        gflag++;
        /* 莞ԌoߌA^Cgɖ߂ */
        if(gflag>100) {
#if 0 /* fۑp */
{
FILE* f=fopen("demo.dat","wb");
fwrite(demo,loopcnt,1,f);
fclose(f);
}
#endif
            gflag=0;
            return;
        }
        /* Xy[XL[ꂽꍇA^CgȗčĊJ */
        if(key_space) {
            gflag=1;
            return;
        }
    }

    /* o[\ */
    if(0==dead) {
        spput8(83,x,y);
        spput8(84,x+8,y);
        spput8(85,x+16,y);
        spput8(86,x+24,y);
    } else {
        spput8(87+loopcnt%2*4,x,y);
        spput8(88+loopcnt%2*4,x+8,y);
        spput8(89+loopcnt%2*4,x+16,y);
        spput8(90+loopcnt%2*4,x+24,y);
    }

    /* {[\ */
    spput8(121,(int)bx,(int)by);

    /* N҂\ */
    for(i=0;i<IMAX;i++) {
        switch(it[i]) {
            case 0:
                if(ist[i]==1) {
                    spput8(123+ianime,ix[i],iy[i]);
                }
                if(ist[i]>=2) {
                    spput8(163+loopcnt%2,ix[i],iy[i]);
                    ist[i]++;
                    if(ist[i]==16) {
                        ist[i]=0;
                        ileft--;
                    }
                }
                break;
            case 1:
                if(ist[i]==1) {
                    spput8(125+2*ianime,ix[i],iy[i]);
                    spput8(126+2*ianime,ix[i]+8,iy[i]);
                }
                if(ist[i]>=2) {
                    spput8(165+2*(loopcnt%2),ix[i],iy[i]);
                    spput8(166+2*(loopcnt%2),ix[i]+8,iy[i]);
                    ist[i]++;
                    if(ist[i]==16) {
                        ist[i]=0;
                        ileft--;
                    }
                }
                break;
            case 2:
                if(ist[i]==1) {
                    spput8(129+3*ianime,ix[i],iy[i]);
                    spput8(130+3*ianime,ix[i]+8,iy[i]);
                    spput8(131+3*ianime,ix[i]+16,iy[i]);
                }
                if(ist[i]>=2) {
                    spput8(169+3*(loopcnt%2),ix[i],iy[i]);
                    spput8(170+3*(loopcnt%2),ix[i]+8,iy[i]);
                    spput8(171+3*(loopcnt%2),ix[i]+16,iy[i]);
                    ist[i]++;
                    if(ist[i]==16) {
                        ist[i]=0;
                        ileft--;
                    }
                }
                break;
        }
        if(gflag==2 && ileft==0) {
            gflag=1001;
        }
    }

    /* N҂̍U\ */
    ishot-=(round<10?round:10);
    if(0<ishot) {
        ishot=100;
    }
    if(dead==0 && ishot==100 && isst==0) {
        /* UJnn_߂ */
        int xs;
        for(i=IMAX-1;0<=i;i--) {
            if(ist[i]) {
                xs=0;
                switch(it[i]) {
                    case 0: xs=8; break;
                    case 1: xs=16; break;
                    case 2: xs=24; break;
                }
                if(ix[i]<=(int)x+32 && ix[i]+xs >=(int)x) {
                    isx=ix[i]+(xs-8)/2;
                    isy=iy[i]+8;
                    isst=1;
                    break;
                }
            }
        }
    }
    if(isst) {
        spput8(135+loopcnt%2,isx,isy);
    }

    if(demoplay) {
        if(demo[loopcnt]&0x01) {
            key_right=1;
        } else {
            key_right=0;
        }
        if(demo[loopcnt]&0x02) {
            key_left=1;
        } else {
            key_left=0;
        }
        if(demo[loopcnt]&0x04) {
            key_shift=1;
        } else {
            key_shift=0;
        }
    }

    /* o[̈ړ */
    if(0==dead) {
        if(key_left) {
            x=x-3;
            if(key_shift) {
                x=x-3;
                if(0<bonus) {
                    bonus--;
                }
            }
            if(x<8) {
                x=8;
            }
        } else if(key_right) {
            x=x+3;
            if(key_shift) {
                x=x+3;
                if(0<bonus) {
                    bonus--;
                }
            }
            if(x>31*8-32) {
                x=31*8-32;
            }
        }
    }

    /* N҂ړ */
    imove+=(round<5)?round:5;
    if(0==inv && 0!=ileft && ileft<=imove) {
        int tflag=0;
        imove=0;
        ianime=1-ianime;
        for(i=0;i<IMAX;i++) {
            if(ist[i]) {
                ix[i]+=iv;
                switch(it[i]){
                    case 0:
                        if(31*8-8<ix[i] || 8>ix[i]) {
                            tflag=1;
                        }
                        break;
                    case 1:
                        if(31*8-16<ix[i] || 8>ix[i]) {
                            tflag=1;
                        }
                        break;
                    case 2:
                        if(31*8-24<ix[i] || 8>ix[i]) {
                            tflag=1;
                        }
                        break;
                }
                if(tflag) {
                    iv=-iv;
                    for(;i>=0;i--) {
                        if(ist[i]) {
                            ix[i]+=iv;
                        }
                    }
                    for(i=0;i<IMAX;i++) {
                        if(ist[i]) {
                            iy[i]+=8;
                        }
                        if(iy[i]+8>=240) {
                            inv=1;
                            gflag=3;
                            for(;0<=i;i--) {
                                iy[i]-=8;
                            }
                            break;
                        }
                    }
                    break;
                }
            }
        }
        SndObjStop(_seMove);
        SndObjPlay(_seMove,0);
    }

    /* N҂̍Uړ */
    if(isst) {
        isy+=2;
        if(isy>232) {
            isst=0;
        }
    }

    /* EhNA */
    if(gflag>=1001 && gflag<2000) {
        if(0<bonus) {
            bonus--;
            score++;
            if(score>999999) {
                score=999999;
            }
            if(hiscore<score) {
                hiscore=score;
            }
        }
        gflag++;
        putfont(92,128,"  CLEAR  ");
        /* 莞ԌoߌAEh֐i */
        if(gflag>1101) {
            gflag=2;
            round++;
            if(round>99) {
                round=99;
            }
            x=80;
            y=220;
            bx=31*8/2;
            by=180;
            vx=-3;
            vy=3;
            if(round!=99) {
                bonus=100;
            }
            ileft=IMAX;
            for(i=0;i<24;i++) {
                it[i]=0;
                ist[i]=1;
                ix[i]=16+(i%12)*16+4;
                iy[i]=16+(i/12)*12+(round<10?round*4:40);
            }
            for(i=0;i<24;i++) {
                it[24+i]=1;
                ist[24+i]=1;
                ix[24+i]=16+(i%12)*16;
                iy[24+i]=40+(i/12)*12+(round<10?round*4:40);
            }
            for(i=0;i<16;i++) {
                it[48+i]=2;
                ist[48+i]=1;
                ix[48+i]=16+(i%8)*24;
                iy[48+i]=64+(i/8)*12+(round<10?round*4:40);
            }
            iv=4;
            inv=0;
            ishot=100;
            isst=0;
            dead=0;
        }
        return;
    }

    /* {[̈ړ */
    prev_bx=bx;
    prev_by=by;
    bx+=vx;
    by+=vy;

    /* ǂƂ̓蔻 */
    if(bx<8) {
        bx=8;
        vx=-vx;
        SndObjStop(_seWall);
        SndObjPlay(_seWall,0);
    } else if(bx>31*8-8) {
        bx=31*8-8;
        vx=-vx;
        SndObjStop(_seWall);
        SndObjPlay(_seWall,0);
    }

    /*  or nʂƂ̓蔻 */
    if(by<8) {
        by=8;
        vy=-vy;
        SndObjStop(_seWall);
        SndObjPlay(_seWall,0);
    } if(by>232) {
        by=232;
        vy=0;
        vx=0;
        gflag=3;
    }

    /* N҂̍UƂ̓蔻 */
    if(isst) {
        if(isx<=(int)bx+8 && isx+8 >=(int)bx &&
           isy<=(int)by+8 && isy+8 >=(int)by ) {
            isst=0;
            vx=-vx;
            score++;
            if(score>999999) {
                score=999999;
            }
            if(hiscore<score) {
                hiscore=score;
            }
            SndObjStop(_seWall);
            SndObjPlay(_seWall,0);
        } else if(isx<=(int)x+32 && isx+8 >=(int)x &&
           isy<=(int)y+8  && isy+8 >=(int)y && 0==dead) {
            isst=0;
            gflag=3;
            dead=1;
            SndObjStop(_seBlock);
            SndObjPlay(_seBlock,0);
        }
    }

    /* N҂Ƃ̓蔻 */
    int xs;
    int ys;
    for(i=0;i<IMAX;i++) {
        if(ist[i]) {
            switch(it[i]) {
                case 0:
                    xs=8;
                    ys=8;
                    break;
                case 1:
                    xs=16;
                    ys=8;
                    break;
                case 2:
                    xs=24;
                    ys=8;
                    break;
            }
            if(ix[i]<=(int)bx+8 && ix[i]+xs >=(int)bx &&
               iy[i]<=(int)by+8 && iy[i]+ys >=(int)by ) {
                if(ix[i]<=(int)bx+8 && ix[i]+2>=(int)bx) {
                    if(0<vx) {
                        vx=-vx;
                    }
                } else if(ix[i]+xs-2<=(int)bx+8 && ix[i]+xs>=(int)bx) {
                    if(0>vx) {
                        vx=-vx;
                    }
                } else {
                    vy=-vy;
                }
                bx=prev_bx;
                by=prev_by;
                if(ist[i]==1) {
                    ist[i]=2;
                    SndObjStop(_seBlock);
                    SndObjPlay(_seBlock,0);
                    if(gflag==2 && !demoplay) {
                        score++;
                        if(score>999999) {
                            score=999999;
                        }
                        if(hiscore<score) {
                            hiscore=score;
                        }
                    }
                }
            }
        }
    }

    /* o[Ƃ̓蔻 */
    if(0==dead &&
       x<(int)bx+8 && x+32>(int)bx &&
       y<(int)by+8 && y+8 >(int)by ) {
        /* c̐is */
        vy=-vy;
        by=y-8;
        if(vy>0) {
            vy=-vy;
        }

        vy-=0.1; /*  */
        if(round>=3) {
            vy-=0.1; /*  */
        }
        if(round>=6) {
            vy-=0.1; /*  */
        }
        if(round>=9) {
            vy-=0.1; /*  */
        }
        if(round>=12) {
            vy-=0.1; /*  */
        }
        if(key_shift) {
            vy-=0.3; /* \ */
        }
        if(vy<-8.0F) {
            vy=-8.0F;
        }

        /* E̐is̒ */
        int xptr=(bx+4)-(x+16);
        if(0<vx) {
            /* Eւ̐is̏ꍇ */
            if(14<=xptr) {
                vx=5;
            }
            else if(12<=xptr) {
                vx=4.5;
            }
            else if(10<=xptr) {
                vx=4;
            }
            else if(8<=xptr) {
                vx=3.5;
            }
            else if(6<=xptr) {
                vx=3;
            }
            else if(4<=xptr) {
                vx=2.5;
            }
            else if(2<=xptr) {
                vx=2;
            }
            else if(0<=xptr) {
                vx=1;
            }
            else if(-2<=xptr) {
                vx=-1;
            }
            else if(-4<=xptr) {
                vx=-1.3;
            }
            else if(-6<=xptr) {
                vx=-1.6;
            }
            else if(-8<=xptr) {
                vx=-2;
            }
            else if(-10<=xptr) {
                vx=-2.4;
            }
            else if(-12<=xptr) {
                vx=-2.8;
            }
            else if(-14<=xptr) {
                vx=-3.2;
            }
            else {
                vx=-3.5;
            }
        } else {
            /* ւ̐is̏ꍇ */
            if(-14>=xptr) {
                vx=-5;
            }
            else if(-12>=xptr) {
                vx=-4.5;
            }
            else if(-10>=xptr) {
                vx=-4;
            }
            else if(-8>=xptr) {
                vx=-3.5;
            }
            else if(-6>=xptr) {
                vx=-3;
            }
            else if(-4>=xptr) {
                vx=-2.5;
            }
            else if(-2>=xptr) {
                vx=-2;
            }
            else if(0>=xptr) {
                vx=-1;
            }
            else if(2>=xptr) {
                vx=1;
            }
            else if(4>=xptr) {
                vx=1.3;
            }
            else if(6>=xptr) {
                vx=1.6;
            }
            else if(8>=xptr) {
                vx=2;
            }
            else if(10>=xptr) {
                vx=2.4;
            }
            else if(12>=xptr) {
                vx=2.8;
            }
            else if(14>=xptr) {
                vx=3.2;
            }
            else {
                vx=3.5;
            }
        }
        if(0<bonus) {
            bonus--;
        }
        SndObjStop(_seWall);
        SndObjPlay(_seWall,0);
    }
}

/*--------------------------------------------------------------------------*/
/* \                                                             */
/*--------------------------------------------------------------------------*/
void putfont(int x,int y,const char* msg,...)
{
    int i;
    int n;
    char buf[256];
    va_list args;
    va_start(args,msg);
    _vsnprintf(buf,sizeof(buf),msg,args);
    va_end(args);

    for(i=0;'\0'!=buf[i] && i<(int)sizeof(buf);i++) {
        n=-1;
        if(isdigit(buf[i])) {
            n=(int)(buf[i]-'0');
        } else if(isalpha(buf[i])) {
            buf[i]=toupper(buf[i]);
            n=40+buf[i]-'A';
        }
        if(-1!=n) {
            spput8(n,x+i*8,y);
        }
    }
}

/*--------------------------------------------------------------------------*/
/* {XvCg(8x8)\                                                */
/*--------------------------------------------------------------------------*/
void spput8(int n,int x,int y)
{
    int sx=(n%40)*8;
    int sy=(n/40)*8;
    RECT rSrc = { sx , sy , sx+8 , sy+8 };
    RECT rDest = { x*(X_MAX/X_IMAGE)
                 , y*(X_MAX/X_IMAGE)
                 , x*(X_MAX/X_IMAGE) + 8*(X_MAX/X_IMAGE)
                 , y*(X_MAX/X_IMAGE) + 8*(Y_MAX/Y_IMAGE) };

    /* ] */
    if(DDERR_SURFACELOST==_lpDDSBack->Blt(
              &rDest
            , _lpDDSImage
            , &rSrc
            , DDBLTFAST_WAIT | DDBLT_KEYSRC
            , NULL
        )) {
        RestDDraw();
    }
}

